Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
Atualizar de Lenny para Wheezy? [resolvido]
18/10/2014, 09:49 (Resposta editada pela última vez em: 28/10/2014 13:13 por aprendiz_ce.)
Resposta: #1
Atualizar de Lenny para Wheezy? [resolvido]
Prezados,

Será que tem como eu atualizar uma instalação Lenny direto para uma Wheezy? Tenho um servidor de arquivos em produção e quero atualizar o mesmo sem risco de parada geral. Agora, se não for possível fazer isso sem RISCOS... verei a possibilidade de comprar outra máquina e instalar tudo do zero.

Grato e aguardo qualquer tipo de orientação.

Na vida, o que vale é a viagem... e não o destino.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
18/10/2014, 17:03
Resposta: #2
RE: Atualizar de Lenny para Wheezy?
Boa tarde, na teoria deveria dar certo e correr tudo tranquilo, mas infelizmente na prática vai quebrar o sistema, pode ocorrer desde a quebra do gráfico, desinstalação em massa, quebra do aptitude que ficará sem poder resolver as pendencia ( pacotes fechados) até pode ocorrer o kernel panic. Não recomendo tentar.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
19/10/2014, 13:21
Resposta: #3
RE: Atualizar de Lenny para Wheezy?
(18/10/2014 17:03)dmatrix Escreveu:  Boa tarde, na teoria deveria dar certo e correr tudo tranquilo, mas infelizmente na prática vai quebrar o sistema, pode ocorrer desde a quebra do gráfico, desinstalação em massa, quebra do aptitude que ficará sem poder resolver as pendencia ( pacotes fechados) até pode ocorrer o kernel panic. Não recomendo tentar.

Olá,

Pois é, eu até desconfiava que a coisa não daria certo mesmo, mas como existia a dúvida, preferi ouvir a valiosa opinião dos colegas aqui do fórum antes de fazer qualquer procedimento mais "critico".

Grato pela sua atenção e comentário.

Na vida, o que vale é a viagem... e não o destino.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
20/10/2014, 08:58
Resposta: #4
RE: Atualizar de Lenny para Wheezy?
Pode atualizar para o Squeeze, até porque ele agora possui repositórios LTS.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
22/10/2014, 22:37
Resposta: #5
RE: Atualizar de Lenny para Wheezy?
(18/10/2014 17:03)dmatrix Escreveu:  Boa tarde, na teoria deveria dar certo e correr tudo tranquilo, mas infelizmente na prática vai quebrar o sistema, pode ocorrer desde a quebra do gráfico, desinstalação em massa, quebra do aptitude que ficará sem poder resolver as pendencia ( pacotes fechados) até pode ocorrer o kernel panic. Não recomendo tentar.
Olá pessoal,

Vou dar um de enxerido aqui e meter a colher no angu dos outros, mas usei e agora voltei a usar alguns ramos do Debian que pouco se lê alguma coisa aqui, enfim, muita coisa parece que não dá mas as vezes com certos cuidados ao menos da para ver de fato se vai correr bem ou não.

Ih, compliquei mais ainda!?? Pois é, acredite nos dias atuais o Debian como sempre vem melhorando e melhorando e como se faz nos ramos Testing e sid é a melhor forma de ver se esse tipo de atualização vai dar certo ou não, mas pelo menos da para ver como a coisa é de fato e, o melhor sem o maior risco quebrar o X

Vale a pena tentar e se for tentar lembrar sempre de baixar antes os pacotes usando o parametro "-d " no apt-get -d dist-upgrade (até mesmo em um terminal gráfico) e depois ir ao terminal puro e instalar para ver se a coisa flui.

Lembro que não estou discordando dos companheiros mais experientes, já que eu cheguei ontem aqui Piscada

T+

[Imagem: euser.gif]
Creto - Antigo "PC1"
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
24/10/2014, 09:51 (Resposta editada pela última vez em: 24/10/2014 10:03 por aprendiz_ce.)
Resposta: #6
RE: Atualizar de Lenny para Wheezy?
(20/10/2014 08:58)spikey Escreveu:  Pode atualizar para o Squeeze, até porque ele agora possui repositórios LTS.

Olá,

E depois do Squeeze eu não posso atualizar para o Wheezy?!?! Ou seja, eu faria o processo que necessito em duas etapas.






(22/10/2014 22:37)Creto Escreveu:  
(18/10/2014 17:03)dmatrix Escreveu:  Boa tarde, na teoria deveria dar certo e correr tudo tranquilo, mas infelizmente na prática vai quebrar o sistema, pode ocorrer desde a quebra do gráfico, desinstalação em massa, quebra do aptitude que ficará sem poder resolver as pendencia ( pacotes fechados) até pode ocorrer o kernel panic. Não recomendo tentar.
Olá pessoal,

Vou dar um de enxerido aqui e meter a colher no angu dos outros, mas usei e agora voltei a usar alguns ramos do Debian que pouco se lê alguma coisa aqui, enfim, muita coisa parece que não dá mas as vezes com certos cuidados ao menos da para ver de fato se vai correr bem ou não.

Ih, compliquei mais ainda!?? Pois é, acredite nos dias atuais o Debian como sempre vem melhorando e melhorando e como se faz nos ramos Testing e sid é a melhor forma de ver se esse tipo de atualização vai dar certo ou não, mas pelo menos da para ver como a coisa é de fato e, o melhor sem o maior risco quebrar o X

Vale a pena tentar e se for tentar lembrar sempre de baixar antes os pacotes usando o parametro "-d " no apt-get -d dist-upgrade (até mesmo em um terminal gráfico) e depois ir ao terminal puro e instalar para ver se a coisa flui.

Lembro que não estou discordando dos companheiros mais experientes, já que eu cheguei ontem aqui Piscada

T+

Concordo com você, mas o trabalho seria exaustivo (fica atrás de corrigir isso ou aquilo)... e sem falar que o servidor em questão está em produção e nao pode parar.

Na vida, o que vale é a viagem... e não o destino.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
27/10/2014, 21:33
Resposta: #7
RE: Atualizar de Lenny para Wheezy?
(24/10/2014 09:51)aprendiz_ce Escreveu:  
(20/10/2014 08:58)spikey Escreveu:  Pode atualizar para o Squeeze, até porque ele agora possui repositórios LTS.

Olá,

E depois do Squeeze eu não posso atualizar para o Wheezy?!?! Ou seja, eu faria o processo que necessito em duas etapas.






(22/10/2014 22:37)Creto Escreveu:  
(18/10/2014 17:03)dmatrix Escreveu:  Boa tarde, na teoria deveria dar certo e correr tudo tranquilo, mas infelizmente na prática vai quebrar o sistema, pode ocorrer desde a quebra do gráfico, desinstalação em massa, quebra do aptitude que ficará sem poder resolver as pendencia ( pacotes fechados) até pode ocorrer o kernel panic. Não recomendo tentar.
Olá pessoal,

Vou dar um de enxerido aqui e meter a colher no angu dos outros, mas usei e agora voltei a usar alguns ramos do Debian que pouco se lê alguma coisa aqui, enfim, muita coisa parece que não dá mas as vezes com certos cuidados ao menos da para ver de fato se vai correr bem ou não.

Ih, compliquei mais ainda!?? Pois é, acredite nos dias atuais o Debian como sempre vem melhorando e melhorando e como se faz nos ramos Testing e sid é a melhor forma de ver se esse tipo de atualização vai dar certo ou não, mas pelo menos da para ver como a coisa é de fato e, o melhor sem o maior risco quebrar o X

Vale a pena tentar e se for tentar lembrar sempre de baixar antes os pacotes usando o parametro "-d " no apt-get -d dist-upgrade (até mesmo em um terminal gráfico) e depois ir ao terminal puro e instalar para ver se a coisa flui.

Lembro que não estou discordando dos companheiros mais experientes, já que eu cheguei ontem aqui Piscada

T+

Concordo com você, mas o trabalho seria exaustivo (fica atrás de corrigir isso ou aquilo)... e sem falar que o servidor em questão está em produção e nao pode parar.

Ter tem, mas na prática é outra coisa.
Para servidores a atualização seria mais crítica mesmo.

Já fiz umas "gordices" pulando de uma versão para outra, mas isso em um desktop.
Tem uma "receitinha de bolo" que costumo usar para esses casos (extraí das páginas de ajuda do Debian a um tempo).
O certo como já mencionado acima é ir para o Squeeze e depois Wheezy. Se for direto você terá uma quebradeira geral do sistema e "hasta la vista servidor".

1° Monte sua sources.list
2° Faça um backup geral (até da sources.list do Lenny).
3° Altere sua sources.list para o Squeeze.
3° Saia do X completamente (se não estiver usando nada gráfico, menos mal).
4° Rode um apt-get update.
5° rode um apt-get upgrade. Deixe ele terminar. Preste muita atenção nas mensagens que forem aparecendo.
6° Rode um apt-get dist-upgrade, ou como o amigo acima descreveu: apt-get -d dist-upgrade.

Se até ai tudo der certo, e o sistema sobreviver, repita o mesmo procedimento, mas para Wheezy.

Com toda certeza do planeta, você terá pacotes quebrados, que já não estão presentes nas novas versões. Lembro que no Debian Etch para poder ter o pppoeconf, era necessário ter dois pacotes .deb, o modconf e o pppoeconf em si. Não lembro se foi no Squeeze, que o modconf já não era mais necessário, bastanto somente ter o pppoeconf. Se fosse feito o esquema acima, o modconf ficaria sendo um peso morto no sistema.

Mais uma vez, muito cuidado na troca de versões nos servidores, pois é um trabalho crítico.
Eu não me responsabilizo se as dicas passadas não funcionarem no seu caso. Você estará por sua própria conta e risco nesse caso.
Mas vale dar umas pesquisadas antes de realizar quaqluer procedimento do tipo.

T+

Agora vai!
Desistir jamais, nunca!
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
28/10/2014, 12:37
Resposta: #8
RE: Atualizar de Lenny para Wheezy?
Já atualizei diversas vezes servidores entre versões. Você precisa além de tudo fazer backup dos pacotes com get-selections e ter uma mídia de sua versão em caso de problemas. Caso opte por utilizar o LTS do Squeeze, ele ainda irá receber atualizações durante um certo tempo.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
28/10/2014, 13:05 (Resposta editada pela última vez em: 28/10/2014 13:16 por aprendiz_ce.)
Resposta: #9
RE: Atualizar de Lenny para Wheezy?
(27/10/2014 21:33)Freud tux Escreveu:  
(24/10/2014 09:51)aprendiz_ce Escreveu:  
(20/10/2014 08:58)spikey Escreveu:  Pode atualizar para o Squeeze, até porque ele agora possui repositórios LTS.

Olá,

E depois do Squeeze eu não posso atualizar para o Wheezy?!?! Ou seja, eu faria o processo que necessito em duas etapas.






(22/10/2014 22:37)Creto Escreveu:  
(18/10/2014 17:03)dmatrix Escreveu:  Boa tarde, na teoria deveria dar certo e correr tudo tranquilo, mas infelizmente na prática vai quebrar o sistema, pode ocorrer desde a quebra do gráfico, desinstalação em massa, quebra do aptitude que ficará sem poder resolver as pendencia ( pacotes fechados) até pode ocorrer o kernel panic. Não recomendo tentar.
Olá pessoal,

Vou dar um de enxerido aqui e meter a colher no angu dos outros, mas usei e agora voltei a usar alguns ramos do Debian que pouco se lê alguma coisa aqui, enfim, muita coisa parece que não dá mas as vezes com certos cuidados ao menos da para ver de fato se vai correr bem ou não.

Ih, compliquei mais ainda!?? Pois é, acredite nos dias atuais o Debian como sempre vem melhorando e melhorando e como se faz nos ramos Testing e sid é a melhor forma de ver se esse tipo de atualização vai dar certo ou não, mas pelo menos da para ver como a coisa é de fato e, o melhor sem o maior risco quebrar o X

Vale a pena tentar e se for tentar lembrar sempre de baixar antes os pacotes usando o parametro "-d " no apt-get -d dist-upgrade (até mesmo em um terminal gráfico) e depois ir ao terminal puro e instalar para ver se a coisa flui.

Lembro que não estou discordando dos companheiros mais experientes, já que eu cheguei ontem aqui Piscada

T+

Concordo com você, mas o trabalho seria exaustivo (fica atrás de corrigir isso ou aquilo)... e sem falar que o servidor em questão está em produção e nao pode parar.

Ter tem, mas na prática é outra coisa.
Para servidores a atualização seria mais crítica mesmo.

Já fiz umas "gordices" pulando de uma versão para outra, mas isso em um desktop.
Tem uma "receitinha de bolo" que costumo usar para esses casos (extraí das páginas de ajuda do Debian a um tempo).
O certo como já mencionado acima é ir para o Squeeze e depois Wheezy. Se for direto você terá uma quebradeira geral do sistema e "hasta la vista servidor".

1° Monte sua sources.list
2° Faça um backup geral (até da sources.list do Lenny).
3° Altere sua sources.list para o Squeeze.
3° Saia do X completamente (se não estiver usando nada gráfico, menos mal).
4° Rode um apt-get update.
5° rode um apt-get upgrade. Deixe ele terminar. Preste muita atenção nas mensagens que forem aparecendo.
6° Rode um apt-get dist-upgrade, ou como o amigo acima descreveu: apt-get -d dist-upgrade.

Se até ai tudo der certo, e o sistema sobreviver, repita o mesmo procedimento, mas para Wheezy.

Com toda certeza do planeta, você terá pacotes quebrados, que já não estão presentes nas novas versões. Lembro que no Debian Etch para poder ter o pppoeconf, era necessário ter dois pacotes .deb, o modconf e o pppoeconf em si. Não lembro se foi no Squeeze, que o modconf já não era mais necessário, bastanto somente ter o pppoeconf. Se fosse feito o esquema acima, o modconf ficaria sendo um peso morto no sistema.

Mais uma vez, muito cuidado na troca de versões nos servidores, pois é um trabalho crítico.
Eu não me responsabilizo se as dicas passadas não funcionarem no seu caso. Você estará por sua própria conta e risco nesse caso.
Mas vale dar umas pesquisadas antes de realizar quaqluer procedimento do tipo.

T+

Eu sei que é critico sim, por isso eu nunca fiz isso... e quando fiz, foi a nível de teste. Tenho essa coragem não! (rs)

Grato pela sua atenção.
(28/10/2014 12:37)spikey Escreveu:  Já atualizei diversas vezes servidores entre versões. Você precisa além de tudo fazer backup dos pacotes com get-selections e ter uma mídia de sua versão em caso de problemas. Caso opte por utilizar o LTS do Squeeze, ele ainda irá receber atualizações durante um certo tempo.

Nossa, a coisa não fácil!!!


Solução:

Comprei outro servidor e já instalei tudo que é necessário. Coloquei o mesmo em observação e daqui para o fim de semana coloco o mesmo em produção.

Penso que fiz a melhor escolha.

Grato a todos pelos comentários.

Na vida, o que vale é a viagem... e não o destino.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS